OPENSSL-PKEYPARAM(1SSL)

BEZEICHNUNG
openssl-pkeyparam - Befehl zum Verarbeiten der Parameter von asymmetrischen Schlüsselalgorithmen

ÜBERSICHT
openssl pkeyparam [-help] [-in Dateiname] [-out Dateiname] [-text] [-noout] [-check] [-engine id] [-provider Name] [-provider-path Pfad] [-provparam [Name:]Schlüssel=Wert] [-propquery anba]

BESCHREIBUNG
Dieser Befehl verarbeitet die Parameter asymmetrischer Schlüsselalgorithmen. Sie können auf Korrektheit geprüft und ihre Komponenten ausgegeben werden.

OPTIONEN

-help
    Gibt einen Hinweis zur Verwendung aus.

-in Dateiname
    Dies legt die Eingabedatei fest, aus der Parameter eingelesen werden oder die Standardeingabe, falls diese Option nicht angegeben ist.

-out Dateiname
    Dies legt den Augabedateinamen fest, in den die Parameter geschrieben werden sollen oder die Standardausgabe, falls diese Option nicht angegeben ist. Der Ausgabedateiname kann identisch zum Eingabedateinamen sein, wodurch die Dateiinhalte ersetzt werden. Beachten Sie, dass Datei-E/A nicht atomar ist. Die Ausgabedatei wird abgeschnitten und dann geschrieben.

-text
    Gibt die Parameter in einfachem Text aus, ergänzend zu der kodierten Version.

-noout
    Gibt die kodierte Version der Parameter nicht aus.

-check
    Diese Option prüft die Korrektheit von Parametern.

-engine id
    Weitere Informationen finden Sie in »Engine Options« in openssl(1). Diese Option ist veraltet.

-provider Name
-provider-path Pfad
-provparam [Name:]Schlüssel=Wert
-propquery anba
    Weitere Informationen finden Sie in »Provider Options« in openssl(1), provider(7) und property(7).

BEISPIELE
Die Textversion von Parametern ausgeben:

 openssl pkeyparam -in param.pem -text

ANMERKUNGEN
Für diesen Befehl gibt es keine Optionen -inform oder -outform, da nur das PEM-Format unterstützt wird und der Schlüsseltyp aus den PEM-Kopfdaten ermittelt wird.

SIEHE AUCH
openssl(1), openssl-genpkey(1), openssl-rsa(1), openssl-pkcs8(1), openssl-dsa(1), openssl-genrsa(1), openssl-gendsa(1)

GESCHICHTE
Die Option -engine wurde in OpenSSL 3.0 als veraltet markiert.

COPYRIGHT
Copyright 2006-2021 Die OpenSSL-Projekt-Autoren. Alle Rechte vorbehalten.

Lizenziert under der Apache License 2.0 (der »Lizenz«). Sie dürfen diese Datei nur verwenden, wenn Sie der Lizenz folgen. Sie können eine Kopie der Lizenz in der Datei LICENSE in der Quelldistribution finden oder unter <https://www.openssl.org/source/license.html>.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).